function sig = get_remez_signal()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================

data_hndl = findobj (gcbf , 'Tag' ,'push_quit');
sig_info = get ( data_hndl , 'Userdata');
%[name,path] = uigetfile('*.*','Please select a wav file');

%Select the wave file location automatically
fid = fopen('SIVAwavDirLoc.txt');
if (fid < 0)
    wav_dir = pwd;
else
   wav_dir = fgetl(fid);
   fclose(fid);
end
temp_ind = findstr(wav_dir,'mod_');
if (~isempty(temp_ind))
wav_dir(temp_ind(1):end)=[];
wav_dir = [wav_dir 'wav_files'];
end
[name,path] = uigetfile([wav_dir '\*.*'],'Please select a wav file');

file_path = [path,name];

if ( ~(isstr(name)) | ~(isstr(path)) )
   sig =[];
   return;
end

[data freq bits] = wavread(file_path);
time = length(data)/freq;
info = ['Source- ' name '; ' num2str(time) ' secs ;fs= ' num2str(freq) ' Hz' ];
s=[];s.data=data;s.freq = freq;s.bits = bits;s.info=info;s.time=time;

%setting the info bar on gui
info_hndl = findobj ( gcbf , 'Tag' , 'txt_info');
set ( info_hndl , 'String' , s.info );

%setting the actual signal in the quit userdata 
sig_info.signal = s;
set ( data_hndl , 'Userdata' , sig_info);

